| Cabal-1.6.0.3: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.Version

Portability | portable
Maintainer | cabal-devel@haskell.org

Contents

Package versions
Version ranges

Description
Exports the `Version` type along with a parser and pretty printer. A version is something like `"1.3.3"`. It also defines the `VersionRange` data types. Version ranges are like `">= 1.2 && < 2"`.
Synopsis

Version (Version, versionBranch, versionTags)

data VersionRange

= AnyVersion
| ThisVersion Version
| LaterVersion Version
| EarlierVersion Version
| UnionVersionRanges VersionRange VersionRange
| IntersectVersionRanges VersionRange VersionRange

notThisVersion :: Version -> VersionRange
orLaterVersion :: Version -> VersionRange
orEarlierVersion :: Version -> VersionRange
betweenVersionsInclusive :: Version -> Version -> VersionRange
withinRange :: Version -> VersionRange -> Bool
isAnyVersion :: VersionRange -> Bool

Package versions
Version (Version, versionBranch, versionTags)
Version ranges

data VersionRange | Source

Constructors

AnyVersion |
ThisVersion Version |
LaterVersion Version |
EarlierVersion Version |
UnionVersionRanges VersionRange VersionRange |
IntersectVersionRanges VersionRange VersionRange |

Instances

Eq VersionRange
Read VersionRange
Show VersionRange
Text VersionRange

notThisVersion :: Version -> VersionRange | Source

orLaterVersion :: Version -> VersionRange | Source

orEarlierVersion :: Version -> VersionRange | Source

betweenVersionsInclusive :: Version -> Version -> VersionRange | Source

withinRange :: Version -> VersionRange -> Bool | Source

Does this version fall within the given range?

isAnyVersion :: VersionRange -> Bool | Source

Produced by Haddock version 2.4.2